use std::path::PathBuf;
use structopt::StructOpt;

#[derive(StructOpt, Debug)]
#[structopt(name = "event-gen")]
pub struct Opts {
    #[structopt(
        short = "t",
        long = "timeout",
        default_value = "120",
        env = "WG_EVENT_TIMEOUT"
    )]
    pub timeout: u64,

    #[structopt(
        short = "p",
        long = "poll-interval",
        default_value = "3000",
        env = "WG_EVENT_INTERVAL"
    )]
    pub poll: u64,

    #[structopt(
        short = "e",
        long = "event-handler",
        parse(from_os_str),
        env = "WG_EVENT_HANDLER"
    )]
    pub events: Option<PathBuf>,

    #[structopt(short = "I", long = "ignore-socket-err", env = "WG_IGNORE_SOCKET_ERR")]
    pub ignore_socket_errors: bool,

    #[structopt(name = "SOCKET", parse(from_os_str), env = "WG_EVENT_SOCKET")]
    pub socket: PathBuf,
}
